Subject: dll building problem
From: Marat Boshernitsan <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 24 Apr 2000 03:25:24 -0700

I am trying to build a C++ dll on Cygwin 1.1.0, but when I run a small
application using it I get a message that my dll "is not a valid Windows
NT image".  This is the command I use for building the dll:

dllwrap --export-all --driver-name=/usr/bin/g++ --output-lib \
  liblkimp.a -o OBJ.x86-pc-win32/lk.dll liblk.a -L/usr/misc/lib -lgcimp

"liblk.a" is an archive of object files for dll

"gcimp" is an import library of another dll, needed by the one I am trying
to build

Any pointers on how to debug this situation?

Thanks in advance,

Marat.

--
Want to unsubscribe from this list?
Send a message to [email-masked]